./devel/p5-Test-Version, Check to see that versions in modules are sane

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.09nb1, Package name: p5-Test-Version-2.09nb1, Maintainer: pkgsrc-users

This module's goal is to be a one stop shop for checking to see
that your versions across your dist are sane. Please ensure that
you use version 0.04 or later only, as earlier versions are old
code and may not work correctly.


Required to run:
[lang/perl5] [devel/p5-File-Find-Rule-Perl] [devel/p5-Module-Metadata]

Required to build:
[devel/p5-Test-Exception] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: cb66cc0afcbb949cb7a261e42bab3f8a1baa65b5
RMD160: f84c3d6337f44466083c4598a200a790b969d7db
Filesize: 22.848 KB

Version history: (Expand)


CVS history: (Expand)


   2018-08-22 11:48:07 by Thomas Klausner | Files touched by this commit (3558)
Log message:
Recursive bump for perl5-5.28.0
   2018-05-02 14:13:42 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
p5-Test-Version: update to 2.09.

2.09      2018-04-25
  - Production release identical to 2.08_02 release

2.08_02   2018-04-24
  - Handle common special characters on Windows in taint mode

2.08_01   2018-04-23
  - Diagnostic release
   2018-02-25 18:42:16 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
p5-Test-Version: update to 2.07.

2.07      2018-02-21
  - Fix tests to work with -T on Strawberry / MSWin32 Perl

2.06_01   2017-11-12
  - Support running in taint mode (Damyan Ivanov++)
   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-09-19 12:19:56 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Updated devel/p5-Test-Version to 2.05
-------------------------------------
2.05      2016-09-17
  - Bump requirement for newer version of Module::Metadata (again)
    Required for ignore_unindexable
   2016-07-25 15:03:42 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 2.04
Update DEPENDS

Upstream changes:
2.04      2016-06-22
  - Bump requirement for a newer version of Module::Metadata
    (the version that comes with Perl 5.14 cannot handle package block syntax)
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.